package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class RequirementMicroappPublishModel {
    private  Long id;
    /*需求名称*/
    @NotEmpty()
    @FieldDescriber(descripton = "需求名称")
    private String rqrmntName;
    /*需求摘要*/
    @NotEmpty()
    @FieldDescriber(descripton = "需求摘要")
    private  String rqrmntSummary;
    /*任务金额*/
    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "需求摘要")
    private  Double money;
    /*截止时间*/
//    @NotNull(message="{notnull.message}")
//    @FieldDescriber(descripton = "截止时间")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date  deadline;
    /*联系人*/
    @NotEmpty()
    @FieldDescriber(descripton = "联系人")
    private String contact;
    /*联系人电话*/
    @NotEmpty()
    @FieldDescriber(descripton = "联系人电话")
    private String phone;
    /*分类*/
    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "分类")
    private Long categoryId;
    /*需求用户*/
    private Long publishBy;
    private Long createdBy;
    /*邮箱*/
    private String email;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public Double getMoney() {
        return money;
    }

    public void setMoney(Double money) {
        this.money = money;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getPublishBy() {
        return publishBy;
    }

    public void setPublishBy(Long publishBy) {
        this.publishBy = publishBy;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
}
